from django.core.management.base import BaseCommand
from datetime import datetime
from BaseModels.mailSender import techSendMail
from GeneralApp.funcs_options import get_options_by_opt_types, get_mail_send_options

class Command(BaseCommand):

    def handle(self, *args, **options):
        mail_sets = get_mail_send_options()

        log = ''
        log_begin_DT = datetime.now()
        msg = str(log_begin_DT)
        print('-------------')
        print(msg)

        try:
            from ...search_matches import search_matches
            msg = search_matches()
            if msg:
                print(msg)
        except Exception as e:
            msg = f'every_1hour_start search_matches fail = {str(e)}'
            print(msg)
            techSendMail(mail_sets, msg, title='every_1hour_start search_matches')



        if msg:
            techSendMail(mail_sets, str(msg), title='every_1hour_start get_competitors_prices')



        print(f'- processing time = {str(datetime.now() - log_begin_DT)} -')


